Subject: bug#21760: timeout: Feature Request: --verbose ==> output if timeout was reached

From: Pádraig Brady <[email-masked]>
Date: Mon, 26 Oct 2015 19:49:54 +0000

On 26/10/15 18:35, Thomas Güttler wrote:
> Am 26.10.2015 um 16:51 schrieb Pádraig Brady:
>> On 26/10/15 14:26, Thomas Güttler wrote:
>>>
>>>
>>> Am 26.10.2015 um 12:44 schrieb Pádraig Brady:
>>>>
>>>> I've not sure there is enough distinct actions within timeout(1) to warrant --verbose?
>>>> How about doing this in the script?
>>>>
>>>>     timeout 1s ping localhost
>>>>     test $? = 124 && echo { 'ping timed out'; exit 1; }

I meant:

 test $? = 124 && { echo 'ping timed out' >&2; exit 1; }

>>> The issue was already closed with "wontfix". This leads me to the
>>> conclusion that your are not interested in my answer.
>>>
>>> Was your "How about doing this in the script?" really a question?
>>
>> We can always reopen if necessary.
> 
> Who decides if it necessary or not? What needs to be done
> to reopen it?

This is an open process.
bug control details are at:
https://debbugs.gnu.org/server-control.html

>> I closed as wontfix for now as the above is a strong suggestion.
>> Generally one needs to handle the timeout in various ways,
>> and printing a diagnostic is just one of those.
> 
> yes, you are right. This issue is about printing a
> message. If other ways are needed, then your
> above solution can be used as a skeleton. But this
> should be handled in different issues/bug-reports.

Personally I don't think we need to distinguish these cases.

cheers,
Pádraig.